umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros | Functions | Variables
object_factory.cpp File Reference
`#include "object_factory.h"`
`#include "actor.h"`
`#include "artifact.h"`
`#include "association.h"`
`#include "attribute.h"`
`#include "category.h"`
`#include "checkconstraint.h"`
`#include "classifier.h"`
`#include "cmds.h"`
`#include "codegenerator.h"`
`#include "component.h"`
`#include "datatype.h"`
`#include "debug_utils.h"`
`#include "dialog_utils.h"`
`#include "enum.h"`
`#include "entity.h"`
`#include "folder.h"`
`#include "foreignkeyconstraint.h"`
`#include "instance.h"`
`#include "model_utils.h"`
`#include "node.h"`
`#include "package.h"`
`#include "port.h"`
`#include "operation.h"`
`#include "stereotype.h"`
`#include "usecase.h"`
`#include "uml.h"`
`#include "umldoc.h"`
`#include "umlobject.h"`
`#include "umlpackagelist.h"`
`#include "uniqueconstraint.h"`
`#include "uniqueid.h"`
`#include <KLocalizedString>`
`#include <KMessageBox>`
`#include <QApplication>`
`#include <QRegExp>`
`#include <QStringList>`

## Namespaces
namespace | Object_Factory

## Macros
#define | DBG_SRC QStringLiteral("Object_Factory")

## Functions
void | Object_Factory::assignUniqueIdOnCreation (bool yesno)
bool | Object_Factory::assignUniqueIdOnCreation ()
UMLObject * | Object_Factory::createNewUMLObject (UMLObject::ObjectType type, const QString &name, UMLPackage *parentPkg, bool undoable)
UMLObject * | Object_Factory::createUMLObject (UMLObject::ObjectType type, const QString &n, UMLPackage *parentPkg, bool solicitNewName)
UMLAttribute * | Object_Factory::createAttribute (UMLObject *parent, const QString &name, UMLObject *type)
UMLOperation * | Object_Factory::createOperation (UMLClassifier *parent, const QString &name)
UMLClassifierListItem * | Object_Factory::createChildObject (UMLClassifier *parent, UMLObject::ObjectType type, const QString &name)
UMLObject * | Object_Factory::makeObjectFromXMI (const QString &xmiTag, const QString &stereoID)

## Variables
Uml::ID::Type | Object_Factory::g_predefinedId = Uml::ID::None

## Macro Definition Documentation

## ◆ DBG_SRC

#define DBG_SRC QStringLiteral("Object_Factory")